Bug 245550 - bug in gdth.c crashing machine
bug in gdth.c crashing machine
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Chip Coldwell
Martin Jenner
http://bugs.centos.org/view.php?id=2171
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-25 07:49 EDT by Johnny Hughes
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:54:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for this issue for kernel-2.6.18-8.1.6.el5 (806 bytes, patch)
2007-06-25 07:49 EDT, Johnny Hughes
no flags Details | Diff
cleaned up patch (970 bytes, patch)
2007-08-15 13:32 EDT, Chip Coldwell
no flags Details | Diff

  None (edit)
Description Johnny Hughes 2007-06-25 07:49:44 EDT
Description of problem:
Trying to get the status of an scsi tape connected to an ICP controller crashes
the machine using kernel-2.6.18-8.1.6.el5

Version-Release number of selected component (if applicable):
kernel-2.6.18-8.1.6.el5 (and earlier)
gdth.c Revision 1.74  2006/04/10 13:44:47

How reproducible:
Always

The bug was mentioned by the Debian team as Bug#412092: [Patch] bug in gdth.c
crashing machine

It is also rolled into the main kernel in 2.6.20.4.

This issue is in the CentOS Bugs database here:
http://bugs.centos.org/view.php?id=2171

LKML Reference:
http://lkml.org/lkml/2007/2/23/138
Comment 1 Johnny Hughes 2007-06-25 07:49:44 EDT
Created attachment 157737 [details]
patch for this issue for kernel-2.6.18-8.1.6.el5
Comment 2 Chip Coldwell 2007-08-15 13:32:00 EDT
Created attachment 161381 [details]
cleaned up patch
Comment 3 Don Zickus 2007-08-21 14:37:13 EDT
in 2.6.18-42.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 errata-xmlrpc 2007-11-07 14:54:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.